
package de.ivu.elect.business.wahl.entity;

import static org.apache.commons.lang3.StringUtils.isNotBlank;

public enum WahlParameterStimmeingabeErfassungsmaskeUmgangBlank {

  BLANK_ZU_BLANK(""),
  BLANK_ZU_NULL("0");

  private String defaultAnzahl;

  private WahlParameterStimmeingabeErfassungsmaskeUmgangBlank(String defaultAnzahl) {
    this.defaultAnzahl = defaultAnzahl;
  }

  public boolean hasDefaultAnzahl() {
    return isNotBlank(getDefaultAnzahl());
  }

  public String getDefaultAnzahl() {
    return defaultAnzahl;
  }

  public static WahlParameterStimmeingabeErfassungsmaskeUmgangBlank defaultValue() {
    return BLANK_ZU_BLANK;
  }
}
